Compare commits

...
Author SHA1 Message Date
LinuxServer-CI 3f6a358902 Bot Updating Package Versions 2025-06-23 15:56:32 +00:00
LinuxServer-CI 7c105be64f Bot Updating Package Versions 2025-06-21 15:52:37 +00:00
LinuxServer-CI b6fbe91fb8 Bot Updating Package Versions 2025-06-16 15:56:20 +00:00
LinuxServer-CI ce62c3366b Bot Updating Package Versions 2025-06-10 15:56:15 +00:00
LinuxServer-CI 459800466a Bot Updating Templated Files 2025-06-10 15:52:27 +00:00
LinuxServer-CI eed4a02b32 Bot Updating Package Versions 2025-06-09 15:56:43 +00:00
LinuxServer-CI 62a1970bc1 Bot Updating Package Versions 2025-05-28 15:54:32 +00:00
LinuxServer-CI 60da318292 Bot Updating Package Versions 2025-05-26 15:55:10 +00:00
LinuxServer-CI e098db1281 Bot Updating Package Versions 2025-05-24 15:55:30 +00:00
LinuxServer-CI 509038ed80 Bot Updating Package Versions 2025-05-22 19:26:47 +00:00
LinuxServer-CI 5367c99d28 Bot Updating Package Versions 2025-05-18 15:58:40 +00:00
LinuxServer-CI 0b85d6f03c Bot Updating Templated Files 2025-05-18 15:52:16 +00:00
LinuxServer-CI f1d474f522 Bot Updating Package Versions 2025-05-13 22:53:04 +00:00
LinuxServer-CI b7eaad01be Bot Updating Package Versions 2025-05-12 15:54:46 +00:00
LinuxServer-CI c43924b5b0 Bot Updating Package Versions 2025-05-08 15:55:28 +00:00
LinuxServer-CI 0b49e8157f Bot Updating Package Versions 2025-05-05 15:52:55 +00:00
LinuxServer-CI 35712113f0 Bot Updating Package Versions 2025-05-02 15:54:47 +00:00
LinuxServer-CI 15fd65ca85 Bot Updating Package Versions 2025-04-23 15:54:36 +00:00
LinuxServer-CI 567f4ffb5b Bot Updating Package Versions 2025-04-17 15:52:46 +00:00
LinuxServer-CI 54792dabd6 Bot Updating Package Versions 2025-04-15 15:52:52 +00:00
RoxedusandGitHub a9a6d4eb0c Merge pull request #27 from linuxserver/master-media-blurb 2025-04-15 14:09:05 +02:00
LinuxServer-CI 1df81c8d51 Bot Updating Package Versions 2025-04-14 15:52:34 +00:00
LinuxServer-CI 306f05a1d3 Bot Updating Package Versions 2025-04-10 19:21:48 +00:00
LinuxServer-CI 43c8f134c7 Bot Updating Package Versions 2025-03-31 15:53:38 +00:00
LinuxServer-CI 1a358c3201 Bot Updating Package Versions 2025-03-24 15:53:40 +00:00
LinuxServer-CI 7ef4e81d34 Bot Updating Package Versions 2025-03-20 15:54:39 +00:00
LinuxServer-CI aeeed33345 Bot Updating Package Versions 2025-03-19 15:52:57 +00:00
LinuxServer-CI e315add450 Bot Updating Package Versions 2025-03-17 15:53:32 +00:00
Roxedus 9ce3afacef Dont't use media blurb 2025-03-16 15:41:22 +01:00
LinuxServer-CI b4be92bd5a Bot Updating Package Versions 2025-03-14 15:53:40 +00:00
LinuxServer-CI 92eae020b0 Bot Updating Package Versions 2025-03-12 15:54:18 +00:00
LinuxServer-CI 47d3dd3a5f Bot Updating Package Versions 2025-03-11 19:28:08 +00:00
aptalcaandGitHub 9854689145 Merge pull request #26 from linuxserver/buildfix
update script path
2025-03-11 15:24:36 -04:00
aptalca 359652caf3 update script path 2025-03-11 14:06:16 -04:00
LinuxServer-CI 5d56c7e272 Bot Updating Package Versions 2025-03-08 15:52:32 +00:00
LinuxServer-CI 542020c4bf Bot Updating Package Versions 2025-03-07 15:52:19 +00:00
LinuxServer-CI 38a7cae4f8 Bot Updating Package Versions 2025-03-04 15:53:55 +00:00
LinuxServer-CI b3a23a9daf Bot Updating Package Versions 2025-03-03 15:53:26 +00:00
LinuxServer-CI 41f31f1f3e Bot Updating Package Versions 2025-03-02 15:52:09 +00:00
LinuxServer-CI e4a26597f0 Bot Updating Package Versions 2025-03-01 15:52:47 +00:00
LinuxServer-CI f331164ad5 Bot Updating Package Versions 2025-02-28 15:53:34 +00:00
LinuxServer-CI 020ed4527b Bot Updating Package Versions 2025-02-27 15:54:22 +00:00
LinuxServer-CI ec6ef7b08f Bot Updating Package Versions 2025-02-25 15:52:31 +00:00
LinuxServer-CI 560c9ef79e Bot Updating Package Versions 2025-02-24 15:52:43 +00:00
LinuxServer-CI d5a264eb96 Bot Updating Package Versions 2025-02-23 15:52:12 +00:00
LinuxServer-CI cde2d209fe Bot Updating Package Versions 2025-02-22 15:52:17 +00:00
LinuxServer-CI a770fa43f3 Bot Updating Package Versions 2025-02-21 19:52:30 +00:00
LinuxServer-CI 76bd2b25d1 Bot Updating Package Versions 2025-02-20 15:56:31 +00:00
LinuxServer-CI 2943f8d5be Bot Updating Package Versions 2025-02-17 15:52:31 +00:00
LinuxServer-CI e1fb028b06 Bot Updating Package Versions 2025-02-16 15:52:45 +00:00
LinuxServer-CI 142fe7139b Bot Updating Package Versions 2025-02-15 15:52:39 +00:00
LinuxServer-CI ecfb75cb6e Bot Updating Package Versions 2025-02-14 15:52:16 +00:00
LinuxServer-CI a59230af1b Bot Updating Package Versions 2025-02-13 19:20:38 +00:00
LinuxServer-CI b10dca5863 Bot Updating Package Versions 2025-02-13 15:57:33 +00:00
LinuxServer-CI 43f124e323 Bot Updating Package Versions 2025-02-12 15:57:38 +00:00
LinuxServer-CI d207db9c58 Bot Updating Package Versions 2025-02-11 15:53:59 +00:00
LinuxServer-CI 78c4ff8006 Bot Updating Package Versions 2025-02-10 15:54:01 +00:00
LinuxServer-CI 809d55725c Bot Updating Templated Files 2025-02-10 15:50:17 +00:00
LinuxServer-CI f6f94a0165 Bot Updating Package Versions 2025-02-09 15:53:18 +00:00
LinuxServer-CI fcfc023325 Bot Updating Package Versions 2025-02-08 15:51:59 +00:00
LinuxServer-CI 7a8a849c57 Bot Updating Package Versions 2025-02-07 15:56:34 +00:00
LinuxServer-CI 416839a05f Bot Updating Package Versions 2025-02-06 15:51:49 +00:00
LinuxServer-CI e6d2e12bf1 Bot Updating Package Versions 2025-02-05 15:51:59 +00:00
LinuxServer-CI be8bc847cb Bot Updating Package Versions 2025-02-04 15:52:06 +00:00
LinuxServer-CI 10c9f62d63 Bot Updating Package Versions 2025-02-03 10:25:24 +00:00
AdamandGitHub 30eea04d07 Merge pull request #24 from linuxserver/deps-again
Temp build fix
2025-02-03 10:22:25 +00:00
thespad 95dba1da00 Set TZ in CI vars 2025-02-02 20:43:36 +00:00
thespad a978f2c412 Temp build fix 2025-02-02 20:34:26 +00:00
LinuxServer-CI a30f8174ce Bot Updating Package Versions 2025-02-01 15:52:10 +00:00
LinuxServer-CI 5f0f9b43d4 Bot Updating Package Versions 2025-01-31 15:52:36 +00:00
LinuxServer-CI c1dd4b7ade Bot Updating Templated Files 2025-01-30 19:22:36 +00:00
LinuxServer-CI ebab1894d9 Bot Updating Templated Files 2025-01-30 19:21:26 +00:00
LinuxServer-CI 8370bd1ed7 Bot Updating Package Versions 2025-01-26 15:52:59 +00:00
LinuxServer-CI 0801c345dc Bot Updating Package Versions 2025-01-25 15:53:15 +00:00
LinuxServer-CI ed9a88fcf4 Bot Updating Package Versions 2025-01-24 15:53:10 +00:00
LinuxServer-CI 39a6d79f6b Bot Updating Package Versions 2025-01-23 21:56:43 +00:00
LinuxServer-CI ce827fb0e3 Bot Updating Package Versions 2025-01-22 15:54:23 +00:00
quietsyandGitHub d26ab76118 Merge pull request #23 from linuxserver/add-project-categories
Add categories to readme-vars.yml
2025-01-22 16:23:08 +02:00
quietsy 6abd0f4d8f Update categories 2025-01-22 16:10:50 +02:00
quietsy 161e1853bf Add categories to readme-vars.yml 2025-01-22 14:14:13 +02:00
LinuxServer-CI df6357089a Bot Updating Package Versions 2025-01-21 15:53:00 +00:00
LinuxServer-CI 22561580e2 Bot Updating Package Versions 2025-01-20 15:54:11 +00:00
LinuxServer-CI 0e31103657 Bot Updating Package Versions 2025-01-19 15:52:36 +00:00
LinuxServer-CI 6df317ac40 Bot Updating Package Versions 2025-01-17 15:53:28 +00:00
LinuxServer-CI a36ef59629 Bot Updating Package Versions 2025-01-14 15:52:46 +00:00
LinuxServer-CI a249d5cb0f Bot Updating Package Versions 2025-01-13 15:36:22 +00:00
LinuxServer-CI 9dcb6db2f8 Bot Updating Package Versions 2025-01-13 15:18:27 +00:00
AdamandGitHub 0a55cfe085 Merge pull request #22 from linuxserver/telegram 2025-01-13 15:14:51 +00:00
thespad 489502c496 Remove errant && 2025-01-13 14:49:55 +00:00
thespad df59ebb3b3 Add telegram plugin requirements 2025-01-13 14:45:38 +00:00
LinuxServer-CI 1c33490318 Bot Updating Package Versions 2025-01-12 15:55:32 +00:00
LinuxServer-CI 6d9fc56ff8 Bot Updating Package Versions 2025-01-11 15:52:27 +00:00
LinuxServer-CI 8f250328a4 Bot Updating Package Versions 2025-01-10 15:52:44 +00:00
LinuxServer-CI 2ca523aab8 Bot Updating Package Versions 2025-01-09 15:53:07 +00:00
LinuxServer-CI 6b4b50a9cd Bot Updating Package Versions 2025-01-08 16:56:01 +00:00
LinuxServer-CI b17f83edd7 Bot Updating Package Versions 2025-01-08 09:38:46 +00:00
AdamandGitHub 3c88b4d44b Merge pull request #20 from linuxserver/restore-extras 2025-01-08 09:32:42 +00:00
thespad f073d04e63 Restore moved extra deps 2025-01-08 09:11:27 +00:00
LinuxServer-CI 7de3bd4ae9 Bot Updating Package Versions 2025-01-07 16:26:55 +00:00
LinuxServer-CI ec923e9963 Bot Updating Package Versions 2025-01-06 23:04:20 +00:00
AdamandGitHub efcabb3fe8 Merge pull request #18 from linuxserver/uv-buildfix 2025-01-06 23:00:27 +00:00
thespad b92e513d3c Update requirements file 2025-01-06 18:35:09 +00:00
LinuxServer-CI afb3cf426f Bot Updating Package Versions 2025-01-04 15:54:45 +00:00
LinuxServer-CI ab3600388c Bot Updating Package Versions 2024-12-25 15:52:45 +00:00
LinuxServer-CI 6ff7b69d43 Bot Updating Package Versions 2024-12-20 15:53:45 +00:00
LinuxServer-CI 79c62d8c9f Bot Updating Package Versions 2024-12-19 15:56:36 +00:00
LinuxServer-CI 14ac74a555 Bot Updating Templated Files 2024-12-19 15:51:58 +00:00
LinuxServer-CI c7c2961bf7 Bot Updating Templated Files 2024-12-19 15:50:29 +00:00
LinuxServer-CI fbca4133ad Bot Updating Package Versions 2024-12-14 15:53:02 +00:00
LinuxServer-CI cf15dc721f Bot Updating Package Versions 2024-12-13 15:55:15 +00:00
LinuxServer-CI 0331a6c53b Bot Updating Package Versions 2024-12-12 15:56:25 +00:00
12 changed files with 322 additions and 245 deletions
+1 -1
View File
@@ -6,7 +6,7 @@
* Read, and fill the Pull Request template
* If this is a fix for a typo (in code, documentation, or the README) please file an issue and let us sort it out. We do not need a PR
* If the PR is addressing an existing issue include, closes #\<issue number>, in the body of the PR commit message
* If you want to discuss changes, you can also bring it up in [#dev-talk](https://discordapp.com/channels/354974912613449730/757585807061155840) in our [Discord server](https://discord.gg/YWrKVTn)
* If you want to discuss changes, you can also bring it up in [#dev-talk](https://discordapp.com/channels/354974912613449730/757585807061155840) in our [Discord server](https://linuxserver.io/discord)
## Common files
+1 -1
View File
@@ -1,7 +1,7 @@
blank_issues_enabled: false
contact_links:
- name: Discord chat support
url: https://discord.gg/YWrKVTn
url: https://linuxserver.io/discord
about: Realtime support / chat with the community and the team.
- name: Discourse discussion forum
+34 -9
View File
@@ -15,7 +15,10 @@ jobs:
SKIP_EXTERNAL_TRIGGER: ${{ vars.SKIP_EXTERNAL_TRIGGER }}
run: |
printf "# External trigger for docker-flexget\n\n" >> $GITHUB_STEP_SUMMARY
if grep -q "^flexget_main" <<< "${SKIP_EXTERNAL_TRIGGER}"; then
if grep -q "^flexget_main_" <<< "${SKIP_EXTERNAL_TRIGGER}"; then
echo "> [!NOTE]" >> $GITHUB_STEP_SUMMARY
echo "> Github organizational variable \`SKIP_EXTERNAL_TRIGGER\` contains \`flexget_main_\`; will skip trigger if version matches." >> $GITHUB_STEP_SUMMARY
elif grep -q "^flexget_main" <<< "${SKIP_EXTERNAL_TRIGGER}"; then
echo "> [!WARNING]" >> $GITHUB_STEP_SUMMARY
echo "> Github organizational variable \`SKIP_EXTERNAL_TRIGGER\` contains \`flexget_main\`; skipping trigger." >> $GITHUB_STEP_SUMMARY
exit 0
@@ -25,6 +28,11 @@ jobs:
printf "\n## Retrieving external version\n\n" >> $GITHUB_STEP_SUMMARY
EXT_RELEASE=$(curl -u "${{ secrets.CR_USER }}:${{ secrets.CR_PAT }}" -sX GET "https://api.github.com/repos/flexget/flexget/releases/latest" | jq -r '. | .tag_name')
echo "Type is \`github_stable\`" >> $GITHUB_STEP_SUMMARY
if grep -q "^flexget_main_${EXT_RELEASE}" <<< "${SKIP_EXTERNAL_TRIGGER}"; then
echo "> [!WARNING]" >> $GITHUB_STEP_SUMMARY
echo "> Github organizational variable \`SKIP_EXTERNAL_TRIGGER\` matches current external release; skipping trigger." >> $GITHUB_STEP_SUMMARY
exit 0
fi
if [ -z "${EXT_RELEASE}" ] || [ "${EXT_RELEASE}" == "null" ]; then
echo "> [!WARNING]" >> $GITHUB_STEP_SUMMARY
echo "> Can't retrieve external version, exiting" >> $GITHUB_STEP_SUMMARY
@@ -48,13 +56,30 @@ jobs:
--header "Accept: application/vnd.oci.image.index.v1+json" \
--header "Authorization: Bearer ${token}" \
"https://ghcr.io/v2/${image}/manifests/${tag}")
multidigest=$(jq -r ".manifests[] | select(.platform.architecture == \"amd64\").digest?" <<< "${multidigest}")
digest=$(curl -s \
--header "Accept: application/vnd.docker.distribution.manifest.v2+json" \
--header "Accept: application/vnd.oci.image.manifest.v1+json" \
--header "Authorization: Bearer ${token}" \
"https://ghcr.io/v2/${image}/manifests/${multidigest}" \
| jq -r '.config.digest')
if jq -e '.layers // empty' <<< "${multidigest}" >/dev/null 2>&1; then
# If there's a layer element it's a single-arch manifest so just get that digest
digest=$(jq -r '.config.digest' <<< "${multidigest}")
else
# Otherwise it's multi-arch or has manifest annotations
if jq -e '.manifests[]?.annotations // empty' <<< "${multidigest}" >/dev/null 2>&1; then
# Check for manifest annotations and delete if found
multidigest=$(jq 'del(.manifests[] | select(.annotations))' <<< "${multidigest}")
fi
if [[ $(jq '.manifests | length' <<< "${multidigest}") -gt 1 ]]; then
# If there's still more than one digest, it's multi-arch
multidigest=$(jq -r ".manifests[] | select(.platform.architecture == \"amd64\").digest?" <<< "${multidigest}")
else
# Otherwise it's single arch
multidigest=$(jq -r ".manifests[].digest?" <<< "${multidigest}")
fi
if digest=$(curl -s \
--header "Accept: application/vnd.docker.distribution.manifest.v2+json" \
--header "Accept: application/vnd.oci.image.manifest.v1+json" \
--header "Authorization: Bearer ${token}" \
"https://ghcr.io/v2/${image}/manifests/${multidigest}"); then
digest=$(jq -r '.config.digest' <<< "${digest}");
fi
fi
image_info=$(curl -sL \
--header "Authorization: Bearer ${token}" \
"https://ghcr.io/v2/${image}/blobs/${digest}")
@@ -92,7 +117,7 @@ jobs:
else
printf "\n## Trigger new build\n\n" >> $GITHUB_STEP_SUMMARY
echo "New version \`${EXT_RELEASE}\` found; old version was \`${IMAGE_VERSION}\`. Triggering new build" >> $GITHUB_STEP_SUMMARY
if "${artifacts_found}" == "true" ]]; then
if [[ "${artifacts_found}" == "true" ]]; then
echo "All artifacts seem to be uploaded." >> $GITHUB_STEP_SUMMARY
fi
response=$(curl -iX POST \
@@ -27,9 +27,18 @@ jobs:
fi
printf "\n## Evaluating \`%s\`\n\n" ${br} >> $GITHUB_STEP_SUMMARY
JENKINS_VARS=$(curl -sX GET https://raw.githubusercontent.com/linuxserver/docker-flexget/${br}/jenkins-vars.yml)
if [[ "${br}" == $(yq -r '.ls_branch' <<< "${JENKINS_VARS}") ]]; then
if ! curl -sfX GET https://raw.githubusercontent.com/linuxserver/docker-flexget/${br}/Jenkinsfile >/dev/null 2>&1; then
echo "> [!WARNING]" >> $GITHUB_STEP_SUMMARY
echo "> No Jenkinsfile found. Branch is either deprecated or is an early dev branch." >> $GITHUB_STEP_SUMMARY
skipped_branches="${skipped_branches}${br} "
elif [[ "${br}" == $(yq -r '.ls_branch' <<< "${JENKINS_VARS}") ]]; then
echo "Branch appears to be live; checking workflow." >> $GITHUB_STEP_SUMMARY
if [[ $(yq -r '.skip_package_check' <<< "${JENKINS_VARS}") == "true" ]]; then
README_VARS=$(curl -sX GET https://raw.githubusercontent.com/linuxserver/docker-flexget/${br}/readme-vars.yml)
if [[ $(yq -r '.project_deprecation_status' <<< "${README_VARS}") == "true" ]]; then
echo "> [!WARNING]" >> $GITHUB_STEP_SUMMARY
echo "> Branch appears to be deprecated; skipping trigger." >> $GITHUB_STEP_SUMMARY
skipped_branches="${skipped_branches}${br} "
elif [[ $(yq -r '.skip_package_check' <<< "${JENKINS_VARS}") == "true" ]]; then
echo "> [!WARNING]" >> $GITHUB_STEP_SUMMARY
echo "> Skipping branch ${br} due to \`skip_package_check\` being set in \`jenkins-vars.yml\`." >> $GITHUB_STEP_SUMMARY
skipped_branches="${skipped_branches}${br} "
@@ -37,7 +46,7 @@ jobs:
echo "> [!WARNING]" >> $GITHUB_STEP_SUMMARY
echo "> Github organizational variable \`SKIP_PACKAGE_TRIGGER\` contains \`flexget_${br}\`; skipping trigger." >> $GITHUB_STEP_SUMMARY
skipped_branches="${skipped_branches}${br} "
elif [ $(curl -s https://ci.linuxserver.io/job/Docker-Pipeline-Builders/job/docker-flexget/job/${br}/lastBuild/api/json | jq -r '.building') == "true" ]; then
elif [ $(curl -s https://ci.linuxserver.io/job/Docker-Pipeline-Builders/job/docker-flexget/job/${br}/lastBuild/api/json | jq -r '.building' 2>/dev/null) == "true" ]; then
echo "> [!WARNING]" >> $GITHUB_STEP_SUMMARY
echo "> There already seems to be an active build on Jenkins; skipping package trigger for ${br}" >> $GITHUB_STEP_SUMMARY
skipped_branches="${skipped_branches}${br} "
@@ -49,6 +58,11 @@ jobs:
response=$(curl -iX POST \
https://ci.linuxserver.io/job/Docker-Pipeline-Builders/job/docker-flexget/job/${br}/buildWithParameters?PACKAGE_CHECK=true \
--user ${{ secrets.JENKINS_USER }}:${{ secrets.JENKINS_TOKEN }} | grep -i location | sed "s|^[L|l]ocation: \(.*\)|\1|")
if [[ -z "${response}" ]]; then
echo "> [!WARNING]" >> $GITHUB_STEP_SUMMARY
echo "> Jenkins build could not be triggered. Skipping branch."
continue
fi
echo "Jenkins [job queue url](${response%$'\r'})" >> $GITHUB_STEP_SUMMARY
echo "Sleeping 10 seconds until job starts" >> $GITHUB_STEP_SUMMARY
sleep 10
@@ -56,11 +70,14 @@ jobs:
buildurl="${buildurl%$'\r'}"
echo "Jenkins job [build url](${buildurl})" >> $GITHUB_STEP_SUMMARY
echo "Attempting to change the Jenkins job description" >> $GITHUB_STEP_SUMMARY
curl -iX POST \
if ! curl -ifX POST \
"${buildurl}submitDescription" \
--user ${{ secrets.JENKINS_USER }}:${{ secrets.JENKINS_TOKEN }} \
--data-urlencode "description=GHA package trigger https://github.com/${{ github.repository }}/actions/runs/${{ github.run_id }}" \
--data-urlencode "Submit=Submit"
--data-urlencode "Submit=Submit"; then
echo "> [!WARNING]" >> $GITHUB_STEP_SUMMARY
echo "> Unable to change the Jenkins job description."
fi
sleep 20
fi
else
+14 -15
View File
@@ -6,6 +6,8 @@ FROM ghcr.io/by275/libtorrent:2-alpine3.19 AS libtorrent
FROM ghcr.io/linuxserver/baseimage-alpine:3.19
COPY --from=ghcr.io/astral-sh/uv:0.5.26 /uv /uvx /bin/
# set version label
ARG BUILD_DATE
ARG VERSION
@@ -16,7 +18,10 @@ LABEL maintainer="thespad"
# environment settings
ENV HOME="/config" \
PYTHONIOENCODING=utf-8 \
TMPDIR=/run/flexget-temp
TMPDIR=/run/flexget-temp \
UV_PROJECT_ENVIRONMENT=/lsiopy \
UV_COMPILE_BYTECODE=1 \
UV_LINK_MODE=copy
RUN \
echo "**** install packages ****" && \
@@ -36,24 +41,18 @@ RUN \
FLEXGET_VERSION=$(curl -s https://api.github.com/repos/flexget/flexget/releases/latest \
| awk '/tag_name/{print $4;exit}' FS='[""]'); \
fi && \
mkdir -p /tmp/flexget && \
mkdir -p /data && \
mkdir -p /run/flexget-temp /data && \
mkdir -p /app/flexget && \
curl -o \
/tmp/flexget.tar.gz -L \
"https://github.com/flexget/flexget/releases/download/${FLEXGET_VERSION}/FlexGet-${FLEXGET_VERSION#v}.tar.gz" && \
"https://github.com/Flexget/Flexget/archive/refs/tags/${FLEXGET_VERSION}.tar.gz" && \
tar xf \
/tmp/flexget.tar.gz -C \
/tmp/flexget --strip-components=1 && \
cd /tmp/flexget && \
python3 -m venv /lsiopy && \
pip install -U --no-cache-dir \
pip \
wheel && \
pip install -U --no-cache --find-links https://wheel-index.linuxserver.io/alpine-3.20/ \
click \
flexget==${FLEXGET_VERSION#v} \
requests \
-r requirements-docker.txt && \
/app/flexget --strip-components=1 && \
cd /app/flexget && \
uv venv /lsiopy && \
uv run scripts/bundle_webui.py && \
uv sync --frozen --no-dev --no-cache --group=all && \
printf "Linuxserver.io version: ${VERSION}\nBuild-date: ${BUILD_DATE}" > /build_version && \
echo "**** cleanup ****" && \
apk del --purge \
+14 -15
View File
@@ -6,6 +6,8 @@ FROM ghcr.io/by275/libtorrent:2-alpine3.19 AS libtorrent
FROM ghcr.io/linuxserver/baseimage-alpine:arm64v8-3.19
COPY --from=ghcr.io/astral-sh/uv:0.5.26 /uv /uvx /bin/
# set version label
ARG BUILD_DATE
ARG VERSION
@@ -16,7 +18,10 @@ LABEL maintainer="thespad"
# environment settings
ENV HOME="/config" \
PYTHONIOENCODING=utf-8 \
TMPDIR=/run/flexget-temp
TMPDIR=/run/flexget-temp \
UV_PROJECT_ENVIRONMENT=/lsiopy \
UV_COMPILE_BYTECODE=1 \
UV_LINK_MODE=copy
RUN \
echo "**** install packages ****" && \
@@ -36,24 +41,18 @@ RUN \
FLEXGET_VERSION=$(curl -s https://api.github.com/repos/flexget/flexget/releases/latest \
| awk '/tag_name/{print $4;exit}' FS='[""]'); \
fi && \
mkdir -p /tmp/flexget && \
mkdir -p /data && \
mkdir -p /run/flexget-temp /data && \
mkdir -p /app/flexget && \
curl -o \
/tmp/flexget.tar.gz -L \
"https://github.com/flexget/flexget/releases/download/${FLEXGET_VERSION}/FlexGet-${FLEXGET_VERSION#v}.tar.gz" && \
"https://github.com/Flexget/Flexget/archive/refs/tags/${FLEXGET_VERSION}.tar.gz" && \
tar xf \
/tmp/flexget.tar.gz -C \
/tmp/flexget --strip-components=1 && \
cd /tmp/flexget && \
python3 -m venv /lsiopy && \
pip install -U --no-cache-dir \
pip \
wheel && \
pip install -U --no-cache --find-links https://wheel-index.linuxserver.io/alpine-3.20/ \
click \
flexget==${FLEXGET_VERSION#v} \
requests \
-r requirements-docker.txt && \
/app/flexget --strip-components=1 && \
cd /app/flexget && \
uv venv /lsiopy && \
uv run scripts/bundle_webui.py && \
uv sync --frozen --no-dev --no-cache --group=all && \
printf "Linuxserver.io version: ${VERSION}\nBuild-date: ${BUILD_DATE}" > /build_version && \
echo "**** cleanup ****" && \
apk del --purge \
Vendored
+46 -17
View File
@@ -36,7 +36,7 @@ pipeline {
CI_PORT='5050'
CI_SSL='false'
CI_DELAY='120'
CI_DOCKERENV=''
CI_DOCKERENV='TZ=Europe/London'
CI_AUTH=''
CI_WEBPATH=''
}
@@ -59,11 +59,23 @@ pipeline {
steps{
echo "Running on node: ${NODE_NAME}"
sh '''#! /bin/bash
containers=$(docker ps -aq)
echo "Pruning builder"
docker builder prune -f --builder container || :
containers=$(docker ps -q)
if [[ -n "${containers}" ]]; then
docker stop ${containers}
BUILDX_CONTAINER_ID=$(docker ps -qf 'name=buildx_buildkit')
for container in ${containers}; do
if [[ "${container}" == "${BUILDX_CONTAINER_ID}" ]]; then
echo "skipping buildx container in docker stop"
else
echo "Stopping container ${container}"
docker stop ${container}
fi
done
fi
docker system prune -af --volumes || : '''
docker system prune -f --volumes || :
docker image prune -af || :
'''
script{
env.EXIT_STATUS = ''
env.LS_RELEASE = sh(
@@ -585,7 +597,7 @@ pipeline {
--label \"org.opencontainers.image.title=Flexget\" \
--label \"org.opencontainers.image.description=[Flexget](http://flexget.com/) is a multipurpose automation tool for all of your media.\" \
--no-cache --pull -t ${IMAGE}:${META_TAG} --platform=linux/amd64 \
--provenance=false --sbom=false --builder=container --load \
--provenance=true --sbom=true --builder=container --load \
--build-arg ${BUILD_VERSION_ARG}=${EXT_RELEASE} --build-arg VERSION=\"${VERSION_TAG}\" --build-arg BUILD_DATE=${GITHUB_DATE} ."
sh '''#! /bin/bash
set -e
@@ -614,7 +626,9 @@ pipeline {
for i in "${CACHE[@]}"; do
docker push ${i}:amd64-${COMMIT_SHA}-${BUILD_NUMBER} &
done
wait
for p in $(jobs -p); do
wait "$p" || { echo "job $p failed" >&2; exit 1; }
done
fi
'''
}
@@ -649,7 +663,7 @@ pipeline {
--label \"org.opencontainers.image.title=Flexget\" \
--label \"org.opencontainers.image.description=[Flexget](http://flexget.com/) is a multipurpose automation tool for all of your media.\" \
--no-cache --pull -t ${IMAGE}:amd64-${META_TAG} --platform=linux/amd64 \
--provenance=false --sbom=false --builder=container --load \
--provenance=true --sbom=true --builder=container --load \
--build-arg ${BUILD_VERSION_ARG}=${EXT_RELEASE} --build-arg VERSION=\"${VERSION_TAG}\" --build-arg BUILD_DATE=${GITHUB_DATE} ."
sh '''#! /bin/bash
set -e
@@ -678,7 +692,9 @@ pipeline {
for i in "${CACHE[@]}"; do
docker push ${i}:amd64-${COMMIT_SHA}-${BUILD_NUMBER} &
done
wait
for p in $(jobs -p); do
wait "$p" || { echo "job $p failed" >&2; exit 1; }
done
fi
'''
}
@@ -706,7 +722,7 @@ pipeline {
--label \"org.opencontainers.image.title=Flexget\" \
--label \"org.opencontainers.image.description=[Flexget](http://flexget.com/) is a multipurpose automation tool for all of your media.\" \
--no-cache --pull -f Dockerfile.aarch64 -t ${IMAGE}:arm64v8-${META_TAG} --platform=linux/arm64 \
--provenance=false --sbom=false --builder=container --load \
--provenance=true --sbom=true --builder=container --load \
--build-arg ${BUILD_VERSION_ARG}=${EXT_RELEASE} --build-arg VERSION=\"${VERSION_TAG}\" --build-arg BUILD_DATE=${GITHUB_DATE} ."
sh '''#! /bin/bash
set -e
@@ -735,7 +751,9 @@ pipeline {
for i in "${CACHE[@]}"; do
docker push ${i}:arm64v8-${COMMIT_SHA}-${BUILD_NUMBER} &
done
wait
for p in $(jobs -p); do
wait "$p" || { echo "job $p failed" >&2; exit 1; }
done
fi
'''
}
@@ -745,7 +763,8 @@ pipeline {
if [[ -n "${containers}" ]]; then
docker stop ${containers}
fi
docker system prune -af --volumes || :
docker system prune -f --volumes || :
docker image prune -af || :
'''
}
}
@@ -771,7 +790,7 @@ pipeline {
docker run --rm \
-v /var/run/docker.sock:/var/run/docker.sock:ro \
-v ${TEMPDIR}:/tmp \
ghcr.io/anchore/syft:latest \
ghcr.io/anchore/syft:v1.26.1 \
${LOCAL_CONTAINER} -o table=/tmp/package_versions.txt
NEW_PACKAGE_TAG=$(md5sum ${TEMPDIR}/package_versions.txt | cut -c1-8 )
echo "Package tag sha from current packages in buit container is ${NEW_PACKAGE_TAG} comparing to old ${PACKAGE_TAG} from github"
@@ -978,7 +997,7 @@ pipeline {
echo '{"tag_name":"'${META_TAG}'",\
"target_commitish": "main",\
"name": "'${META_TAG}'",\
"body": "**CI Report:**\\n\\n'${CI_URL:-N/A}'\\n\\n**LinuxServer Changes:**\\n\\n'${LS_RELEASE_NOTES}'\\n\\n**'${EXT_REPO}' Changes:**\\n\\n' > start
"body": "**CI Report:**\\n\\n'${CI_URL:-N/A}'\\n\\n**LinuxServer Changes:**\\n\\n'${LS_RELEASE_NOTES}'\\n\\n**Remote Changes:**\\n\\n' > start
printf '","draft": false,"prerelease": false}' >> releasebody.json
paste -d'\\0' start releasebody.json > releasebody.json.done
curl -H "Authorization: token ${GITHUB_TOKEN}" -X POST https://api.github.com/repos/${LS_USER}/${LS_REPO}/releases -d @releasebody.json.done'''
@@ -1156,12 +1175,22 @@ EOF
}
cleanup {
sh '''#! /bin/bash
echo "Performing docker system prune!!"
containers=$(docker ps -aq)
echo "Pruning builder!!"
docker builder prune -f --builder container || :
containers=$(docker ps -q)
if [[ -n "${containers}" ]]; then
docker stop ${containers}
BUILDX_CONTAINER_ID=$(docker ps -qf 'name=buildx_buildkit')
for container in ${containers}; do
if [[ "${container}" == "${BUILDX_CONTAINER_ID}" ]]; then
echo "skipping buildx container in docker stop"
else
echo "Stopping container ${container}"
docker stop ${container}
fi
done
fi
docker system prune -af --volumes || :
docker system prune -f --volumes || :
docker image prune -af || :
'''
cleanWs()
}
+3 -5
View File
@@ -3,7 +3,7 @@
[![linuxserver.io](https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/linuxserver_medium.png)](https://linuxserver.io)
[![Blog](https://img.shields.io/static/v1.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=linuxserver.io&message=Blog)](https://blog.linuxserver.io "all the things you can do with our containers including How-To guides, opinions and much more!")
[![Discord](https://img.shields.io/discord/354974912613449730.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=Discord&logo=discord)](https://discord.gg/YWrKVTn "realtime support / chat with the community and the team.")
[![Discord](https://img.shields.io/discord/354974912613449730.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=Discord&logo=discord)](https://linuxserver.io/discord "realtime support / chat with the community and the team.")
[![Discourse](https://img.shields.io/discourse/https/discourse.linuxserver.io/topics.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&logo=discourse)](https://discourse.linuxserver.io "post on our community forum.")
[![Fleet](https://img.shields.io/static/v1.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=linuxserver.io&message=Fleet)](https://fleet.linuxserver.io "an online web interface which displays all of our maintained images.")
[![GitHub](https://img.shields.io/static/v1.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=linuxserver.io&message=GitHub&logo=github)](https://github.com/linuxserver "view the source for all of our repositories.")
@@ -20,7 +20,7 @@ The [LinuxServer.io](https://linuxserver.io) team brings you another container r
Find us at:
* [Blog](https://blog.linuxserver.io) - all the things you can do with our containers including How-To guides, opinions and much more!
* [Discord](https://discord.gg/YWrKVTn) - realtime support / chat with the community and the team.
* [Discord](https://linuxserver.io/discord) - realtime support / chat with the community and the team.
* [Discourse](https://discourse.linuxserver.io) - post on our community forum.
* [Fleet](https://fleet.linuxserver.io) - an online web interface which displays all of our maintained images.
* [GitHub](https://github.com/linuxserver) - view the source for all of our repositories.
@@ -65,12 +65,10 @@ See the [FlexGet website](https://flexget.com/) for more information.
### Download folders
We have set `/data` as an ***optional path***, this is because it is the easiest way to get started. While easy to use, it has some drawbacks. Mainly losing the ability to hardlink (TL;DR a way for a file to exist in multiple places on the same file system while only consuming one file worth of space), or atomic move (TL;DR instant file moves, rather than copy+delete) files while processing content.
We have set `/data` as an ***optional path***, this is because it is the easiest way to get started.
Use the optional paths if you don't understand, or don't want hardlinks/atomic moves.
The folks over at servarr.com wrote a good [write-up](https://wiki.servarr.com/docker-guide#consistent-and-well-planned-paths) on how to get started with this.
## Read-Only Operation
This image can be run with a read-only container filesystem. For details please [read the docs](https://docs.linuxserver.io/misc/read-only/).
+1 -1
View File
@@ -24,7 +24,7 @@ repo_vars:
- CI_PORT='5050'
- CI_SSL='false'
- CI_DELAY='120'
- CI_DOCKERENV=''
- CI_DOCKERENV='TZ=Europe/London'
- CI_AUTH=''
- CI_WEBPATH=''
sponsor_links:
+182 -173
View File
@@ -1,173 +1,182 @@
NAME VERSION TYPE
7zip 23.01-r0 apk
Simple Launcher 1.1.0.14 dotnet (+5 duplicates)
ada-libs 2.7.4-r0 apk
alpine-baselayout 3.4.3-r2 apk
alpine-baselayout-data 3.4.3-r2 apk
alpine-keys 2.4-r1 apk
alpine-release 3.19.4-r0 apk
aniso8601 9.0.1 python
apk-tools 2.14.4-r0 apk
apscheduler 3.11.0 python
attrs 24.2.0 python
autocommand 2.2.2 python (+1 duplicate)
babelfish 0.6.0 python
backports-tarfile 1.2.0 python (+1 duplicate)
bash 5.2.21-r0 apk
beautifulsoup4 4.12.3 python
blinker 1.9.0 python
boost1.82-python3 1.82.0-r3 apk
boost1.82-system 1.82.0-r3 apk
brotli 1.1.0 python
brotli-libs 1.1.0-r1 apk
busybox 1.36.1-r19 apk
busybox-binsh 1.36.1-r19 apk
c-ares 1.27.0-r0 apk
ca-certificates 20240226-r0 apk
ca-certificates-bundle 20240226-r0 apk
catatonit 0.2.0-r0 apk
certifi 2024.8.30 python
cffi 1.17.1 python
charset-normalizer 3.4.0 python
cheroot 10.0.1 python
cherrypy 18.10.0 python
click 8.1.7 python
cloudscraper 1.2.71 python
colorama 0.4.6 python
coreutils 9.4-r2 apk
coreutils-env 9.4-r2 apk
coreutils-fmt 9.4-r2 apk
coreutils-sha512sum 9.4-r2 apk
cryptography 43.0.3 python
curl 8.9.1-r0 apk
decorator 5.1.1 python
deluge-client 1.10.2 python
feedparser 6.0.11 python
findutils 4.9.0-r5 apk
flask 3.1.0 python
flask-compress 1.17 python
flask-cors 5.0.0 python
flask-login 0.6.3 python
flask-restx 1.3.0 python
flexget 3.12.4 python
gdbm 1.23-r1 apk
greenlet 3.1.1 python
guessit 3.8.0 python
html5lib 1.1 python
icu-data-en 74.1-r0 apk
icu-libs 74.1-r0 apk
idna 3.10 python
importlib-metadata 8.0.0 python
importlib-resources 6.4.5 python
inflect 7.3.1 python
itsdangerous 2.2.0 python
jaraco-collections 5.1.0 python (+1 duplicate)
jaraco-context 5.3.0 python
jaraco-context 6.0.1 python
jaraco-functools 4.0.1 python
jaraco-functools 4.1.0 python
jaraco-text 3.12.1 python
jaraco-text 4.0.0 python
jinja2 3.1.4 python
jq 1.7.1-r0 apk
jsonschema 4.23.0 python
jsonschema-specifications 2024.10.1 python
libacl 2.3.1-r4 apk
libattr 2.5.1-r5 apk
libbase64 0.5.0-r0 apk
libbsd 0.11.7-r3 apk
libbz2 1.0.8-r6 apk
libc-utils 0.7.2-r5 apk
libcrypto3 3.1.7-r0 apk
libcurl 8.9.1-r0 apk
libexpat 2.6.4-r0 apk
libffi 3.4.4-r3 apk
libgcc 13.2.1_git20231014-r0 apk
libidn2 2.3.4-r4 apk
libintl 0.22.3-r0 apk
libmd 1.1.0-r0 apk
libncursesw 6.4_p20231125-r0 apk
libpanelw 6.4_p20231125-r0 apk
libproc2 4.0.4-r0 apk
libssl3 3.1.7-r0 apk
libstdc++ 13.2.1_git20231014-r0 apk
libunistring 1.1-r2 apk
linux-pam 1.5.3-r7 apk
loguru 0.7.3 python
markdown-it-py 3.0.0 python
markupsafe 3.0.2 python
mdurl 0.1.2 python
more-itertools 10.3.0 python
more-itertools 10.5.0 python
mpdecimal 2.5.1-r2 apk
musl 1.2.4_git20230717-r4 apk
musl-utils 1.2.4_git20230717-r4 apk
my-test-package 1.0 python
ncurses-terminfo-base 6.4_p20231125-r0 apk
netcat-openbsd 1.226-r0 apk
nghttp2-libs 1.58.0-r0 apk
nodejs 20.15.1-r0 apk
oniguruma 6.9.9-r0 apk
packaging 24.2 python (+1 duplicate)
pendulum 3.0.0 python
pip 24.3.1 python
platformdirs 4.2.2 python
plumbum 1.9.0 python
portend 3.2.0 python
procps-ng 4.0.4-r0 apk
psutil 6.1.0 python
pyc 3.11.11-r0 apk
pycparser 2.22 python
pygments 2.18.0 python
pynzb 0.1.0 python
pyparsing 3.2.0 python
pyrss2gen 1.1 python
python-dateutil 2.9.0.post0 python
python-telegram-bot 12.8 python
python3 3.11.11-r0 apk
python3-pyc 3.11.11-r0 apk
python3-pycache-pyc0 3.11.11-r0 apk
pytz 2024.2 python
pyyaml 6.0.2 python
qbittorrent-api 2024.11.70 python
readline 8.2.1-r2 apk
rebulk 3.2.0 python
referencing 0.35.1 python
requests 2.32.3 python
requests-toolbelt 1.0.0 python
rich 13.9.4 python
rpds-py 0.22.3 python
rpyc 6.0.1 python
scanelf 1.3.7-r2 apk
setuptools 75.6.0 python
sgmllib3k 1.0.0 python
shadow 4.14.2-r0 apk
six 1.17.0 python
skalibs 2.14.0.1-r0 apk
soupsieve 2.6 python
sqlalchemy 2.0.36 python
sqlite-libs 3.44.2-r0 apk
ssl_client 1.36.1-r19 apk
tempora 5.7.0 python
time-machine 2.16.0 python
tomli 2.0.1 python
tornado 6.4.2 python
transmission-rpc 7.0.11 python
triangular 2.5.0 npm
typeguard 4.3.0 python
typing-extensions 4.12.2 python (+1 duplicate)
tzdata 2024.2 python
tzdata 2024a-r0 apk
tzlocal 5.2 python
urllib3 1.26.20 python
utmps-libs 0.1.2.2-r0 apk
webencodings 0.5.1 python
werkzeug 3.1.3 python
wheel 0.43.0 python
wheel 0.45.1 python
xz-libs 5.4.5-r0 apk
zc-lockfile 3.0.post1 python
zipp 3.19.2 python
zlib 1.3.1-r0 apk
zstandard 0.23.0 python
zxcvbn 4.4.28 python
NAME VERSION TYPE
7zip 23.01-r0 apk
ada-libs 2.7.4-r0 apk
alpine-baselayout 3.4.3-r2 apk
alpine-baselayout-data 3.4.3-r2 apk
alpine-keys 2.4-r1 apk
alpine-release 3.19.7-r0 apk
aniso8601 10.0.1 python
anyio 4.9.0 python
apk-tools 2.14.4-r0 apk
apscheduler 3.11.0 python
attrs 25.3.0 python
autocommand 2.2.2 python (+1 duplicate)
babelfish 0.6.1 python
backports-tarfile 1.2.0 python (+1 duplicate)
bash 5.2.21-r0 apk
beautifulsoup4 4.13.4 python
blinker 1.9.0 python
boost1.82-python3 1.82.0-r3 apk
boost1.82-system 1.82.0-r3 apk
brotli 1.1.0 python
brotli-libs 1.1.0-r1 apk
busybox 1.36.1-r19 apk
busybox-binsh 1.36.1-r19 apk
c-ares 1.27.0-r0 apk
ca-certificates 20241121-r1 apk
ca-certificates-bundle 20241121-r1 apk
catatonit 0.2.0-r0 apk
certifi 2025.6.15 python
charset-normalizer 3.4.2 python
cheroot 10.0.1 python
cherrypy 18.10.0 python
cli UNKNOWN binary
cli-32 UNKNOWN binary
cli-64 UNKNOWN binary
cli-arm64 UNKNOWN binary
click 8.2.1 python
coreutils 9.4-r2 apk
coreutils-env 9.4-r2 apk
coreutils-fmt 9.4-r2 apk
coreutils-sha512sum 9.4-r2 apk
curl 8.12.1-r0 apk
deluge-client 1.10.2 python
feedparser 6.0.11 python
findutils 4.9.0-r5 apk
flask 3.1.1 python
flask-compress 1.17 python
flask-cors 6.0.1 python
flask-login 0.6.3 python
flask-restx 1.3.0 python
flexget 3.16.8 python
gdbm 1.23-r1 apk
greenlet 3.2.3 python
guessit 3.8.0 python
gui UNKNOWN binary
gui-32 UNKNOWN binary
gui-64 UNKNOWN binary
gui-arm64 UNKNOWN binary
h11 0.16.0 python
h2 4.2.0 python
hpack 4.1.0 python
html5lib 1.1 python
httpcore 1.0.9 python
httpx 0.28.1 python
hyperframe 6.1.0 python
icu-data-en 74.1-r0 apk
icu-libs 74.1-r0 apk
idna 3.10 python
importlib-metadata 8.0.0 python
importlib-resources 6.5.2 python
inflect 7.3.1 python
itsdangerous 2.2.0 python
jaraco-collections 5.1.0 python
jaraco-collections 5.2.1 python
jaraco-context 5.3.0 python
jaraco-context 6.0.1 python
jaraco-functools 4.0.1 python
jaraco-functools 4.2.1 python
jaraco-text 3.12.1 python
jaraco-text 4.0.0 python
jinja2 3.1.6 python
jq 1.7.1-r0 apk
jsonschema 4.24.0 python
jsonschema-specifications 2025.4.1 python
libacl 2.3.1-r4 apk
libattr 2.5.1-r5 apk
libbase64 0.5.0-r0 apk
libbsd 0.11.7-r3 apk
libbz2 1.0.8-r6 apk
libc-utils 0.7.2-r5 apk
libcrypto3 3.1.8-r0 apk
libcurl 8.12.1-r0 apk
libexpat 2.7.0-r0 apk
libffi 3.4.4-r3 apk
libgcc 13.2.1_git20231014-r0 apk
libidn2 2.3.4-r4 apk
libintl 0.22.3-r0 apk
libmd 1.1.0-r0 apk
libncursesw 6.4_p20231125-r0 apk
libpanelw 6.4_p20231125-r0 apk
libproc2 4.0.4-r0 apk
libpsl 0.21.5-r0 apk
libssl3 3.1.8-r0 apk
libstdc++ 13.2.1_git20231014-r0 apk
libunistring 1.1-r2 apk
linux-pam 1.5.3-r7 apk
loguru 0.7.3 python
markdown-it-py 3.0.0 python
markupsafe 3.0.2 python
mdurl 0.1.2 python
more-itertools 10.3.0 python
more-itertools 10.7.0 python
mpdecimal 2.5.1-r2 apk
musl 1.2.4_git20230717-r5 apk
musl-utils 1.2.4_git20230717-r5 apk
my-test-package 1.0 python
ncurses-terminfo-base 6.4_p20231125-r0 apk
netcat-openbsd 1.226-r0 apk
nghttp2-libs 1.58.0-r0 apk
nodejs 20.15.1-r0 apk
oniguruma 6.9.9-r0 apk
packaging 24.2 python
packaging 25.0 python
pendulum 3.1.0 python
platformdirs 4.2.2 python
plumbum 1.9.0 python
portend 3.2.1 python
procps-ng 4.0.4-r0 apk
psutil 7.0.0 python
pyc 3.11.13-r0 apk
pygments 2.19.2 python
pynzb 0.1.0 python
pyparsing 3.2.3 python
pyrss2gen 1.1 python
python-dateutil 2.9.0.post0 python
python-telegram-bot 22.1 python
python3 3.11.13-r0 apk
python3-pyc 3.11.13-r0 apk
python3-pycache-pyc0 3.11.13-r0 apk
pytz 2025.2 python
pyyaml 6.0.2 python
qbittorrent-api 2025.5.0 python
readline 8.2.1-r2 apk
rebulk 3.2.0 python
referencing 0.36.2 python
requests 2.32.4 python
rich 14.0.0 python
rpds-py 0.25.1 python
rpyc 6.0.2 python
scanelf 1.3.7-r2 apk
setuptools 80.9.0 python
sgmllib3k 1.0.0 python
shadow 4.14.2-r0 apk
six 1.17.0 python
skalibs 2.14.0.1-r0 apk
sniffio 1.3.1 python
socksio 1.0.0 python
soupsieve 2.7 python
sqlalchemy 2.0.41 python
sqlite-libs 3.44.2-r1 apk
ssl_client 1.36.1-r19 apk
tempora 5.8.1 python
tomli 2.0.1 python
transmission-rpc 7.0.11 python
triangular 2.5.0 npm
typeguard 4.3.0 python
typing-extensions 4.12.2 python
typing-extensions 4.14.0 python
tzdata 2025.2 python
tzdata 2025b-r0 apk
tzlocal 5.3.1 python
urllib3 1.26.20 python
utmps-libs 0.1.2.2-r0 apk
webencodings 0.5.1 python
werkzeug 3.1.3 python
wheel 0.45.1 python
xz-libs 5.4.5-r1 apk
zc-lockfile 3.0.post1 python
zipp 3.19.2 python
zlib 1.3.1-r0 apk
zstandard 0.23.0 python
zxcvbn 4.5.0 python
+4 -3
View File
@@ -6,6 +6,7 @@ project_url: "http://flexget.com/"
project_logo: "https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/flexget-banner.png"
project_blurb: "[{{ project_name|capitalize }}]({{ project_url }}) is a multipurpose automation tool for all of your media."
project_lsio_github_repo_url: "https://github.com/linuxserver/docker-{{ project_name }}"
project_categories: "Downloaders"
# supported architectures
available_architectures:
- {arch: "{{ arch_x86_64 }}", tag: "amd64-latest"}
@@ -41,11 +42,9 @@ app_setup_block: |
### Download folders
We have set `/data` as an ***optional path***, this is because it is the easiest way to get started. While easy to use, it has some drawbacks. Mainly losing the ability to hardlink (TL;DR a way for a file to exist in multiple places on the same file system while only consuming one file worth of space), or atomic move (TL;DR instant file moves, rather than copy+delete) files while processing content.
We have set `/data` as an ***optional path***, this is because it is the easiest way to get started.
Use the optional paths if you don't understand, or don't want hardlinks/atomic moves.
The folks over at servarr.com wrote a good [write-up](https://wiki.servarr.com/docker-guide#consistent-and-well-planned-paths) on how to get started with this.
# init diagram
init_diagram: |
"flexget:latest": {
@@ -66,6 +65,7 @@ init_diagram: |
init-flexget-config -> init-config-end
init-os-end -> init-crontab-config
init-mods-end -> init-custom-files
init-adduser -> init-device-perms
base -> init-envfile
init-config -> init-flexget-config
base -> init-migrations
@@ -76,6 +76,7 @@ init_diagram: |
init-mods -> init-mods-package-install
base -> init-os-end
init-adduser -> init-os-end
init-device-perms -> init-os-end
init-envfile -> init-os-end
init-migrations -> init-os-end
init-custom-files -> init-services
Executable → Regular
View File